'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _SearchBar = require('saltui/lib/SearchBar');

var _SearchBar2 = _interopRequireDefault(_SearchBar);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Popup = require('saltui/lib/Popup');

var _Popup2 = _interopRequireDefault(_Popup);

require('./treetable.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box;

var Page = function (_React$Component) {
  _inherits(Page, _React$Component);

  function Page(props) {
    _classCallCheck(this, Page);

    var _this = _possibleConstructorReturn(this, (Page.__proto__ || Object.getPrototypeOf(Page)).call(this, props));

    var u = navigator.userAgent;
    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    var height = '';
    if (isAndroid == true) {
      height = window.screen.height - 70 - 44 - 45 + "px";
    } else if (isiOS == true) {
      height = window.screen.availHeight - 70 - 44 - 45 + "px";
    } else {
      if (window.screen.availHeight) {
        height = '550px';
      }
    }

    _this.state = {
      all: 0,
      height: height,
      visible: false,

      todoList: [{
        "checked": false,
        "name": "一级11111111111111111111111",
        "show": true,
        "id": 0,
        "showSubList": false,
        "checkedAll": false,
        "todo": [{
          "name": "二级1111111111",
          "show": true,
          "id": 1,
          "pId": 0,
          "showSubList": false,
          "checked": false,
          "todo": [{
            "name": "三级1111111111",
            "show": true,
            "id": 2,
            "pId": 1,
            "checked": false
          }, {
            "name": "三级22222",
            "show": true,
            "id": 3,
            "pId": 1,
            "checked": false
          }]
        }, {
          "name": "二级222222222222222",
          "show": true,
          "id": 2,
          "pId": 0,
          "showSubList": false,
          "checked": false,
          "todo": [{
            "name": "三级1111111111",
            "show": true,
            "id": 3,
            "pId": 2,
            "checked": false
          }, {
            "name": "三级22222",
            "show": true,
            "id": 4,
            "pId": 2,
            "checked": false
          }]
        }]
      }]
    };
    return _this;
  }

  _createClass(Page, [{
    key: 'componentDidMount',
    value: function componentDidMount() {}

    // 子组件初始化

  }, {
    key: 'initState',
    value: function initState() {
      var t = this;
      // 控制弹出
      var visible = t.props.visible;

      t.setState({
        visible: visible
      });
    }

    //点击当前，子栏目全选是否取消

  }, {
    key: 'abc',
    value: function abc(sublist, list) {
      if (sublist != null && sublist.length > 0) {
        for (var i = 0; i < sublist.length; i++) {
          var obj = sublist[i];
          if (list.checked == true) {
            obj.checked = true;
          } else {
            obj.checked = false;
          }
          var todo = obj.todo;
          this.abc(todo, obj);
        }
      }
      return list;
    }

    //点击当前，父级栏目全选是否取消

  }, {
    key: 'mml',
    value: function mml(plist, id, list) {

      var n = 0;
      for (var k = 0; k < list.length; k++) {
        if (list[k].checked == true) {
          n = n + 1;
        }
      }
      if (plist != null && plist.length > 0) {
        for (var i = 0; i < plist.length; i++) {
          var obj = plist[i];
          if (obj.id == id) {
            if (obj.todo.length == n) {
              obj.checked = true;
            } else {
              obj.checked = false;
            }
          };
          this.mml(obj.todo, list[i].pId, list);
        }
      }

      // return plist;
    }
  }, {
    key: 'bindCheck1',
    value: function bindCheck1(i, e) {
      var todoList = this.state.todoList;
      todoList[i].checked = !todoList[i].checked;
      this.abc(todoList[i].todo, todoList[i]);

      this.setState({
        todoList: todoList
      });
    }
  }, {
    key: 'bindCheck2',
    value: function bindCheck2(i, j, e) {
      var todoList = this.state.todoList;
      j[i].checked = !j[i].checked;

      this.abc(j[i].todo, j[i]);
      var id = j[i].pId;
      this.mml(todoList, id, j);

      this.setState({
        todoList: todoList
      });
    }
  }, {
    key: 'showSubList1',
    value: function showSubList1(i, e) {
      var todoList = this.state.todoList;
      todoList[i].showSubList = !todoList[i].showSubList;

      this.setState({
        todoList: todoList
      });
    }
  }, {
    key: 'showSubList2',
    value: function showSubList2(i, j, e) {

      j[i].showSubList = !j[i].showSubList;

      this.setState({
        todoList: this.state.todoList
      });
    }

    // 点击蒙层关闭

  }, {
    key: 'closMask',
    value: function closMask() {
      this.props.closMask(this);
    }

    // 获取选择结构

  }, {
    key: 'getContent',
    value: function getContent() {}
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var t = this;
      var props = {
        locale: 'zh_CN',
        instantSearch: true,
        hasHistory: true,
        searchDelay: 450,
        onEnter: function onEnter() {
          console.log('enter');
        },
        onExit: function onExit() {
          console.log('exit');
        },
        onChange: function onChange(value) {
          console.log('Typing>>' + value);
        },
        onSearch: function onSearch(value) {
          console.info('Do search>>' + value);
          if (t.refs.list) {
            t.refs.list.fetchData({
              keyword: value
            });
          }
        }
      };

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _Popup2.default,
          {
            content: _react2.default.createElement(
              'div',
              { className: 't-BCf', style: { width: 300 } },
              _react2.default.createElement(_SearchBar2.default, props),
              _react2.default.createElement(
                'div',
                { className: this.state.checkedAll ? "t-PL16 t-PR16 t-PT10 t-PB10 dd-top-border " : "t-PL16 t-PR16 t-PT10 t-PB10 un-checked dd-top-border" },
                _react2.default.createElement(
                  HBox,
                  { vAlign: 'center' },
                  _react2.default.createElement(
                    HBox,
                    null,
                    _react2.default.createElement(
                      'div',
                      { className: 't-checkbox-field-icon-list' },
                      _react2.default.createElement('i', { className: 'iconfont icon-checked t-FCf t-FS14' })
                    )
                  ),
                  _react2.default.createElement(
                    Box,
                    { flex: 1, className: 't-ML10' },
                    '\u5168\u9009'
                  )
                )
              ),
              _react2.default.createElement('div', { className: 't-H10 t-BCf7' }),
              this.state.todoList.map(function (item, i) {
                return _react2.default.createElement(
                  'div',
                  null,
                  _react2.default.createElement(
                    HBox,
                    { vAlign: 'center', className: 'dd-top-border ' },
                    _react2.default.createElement(
                      Box,
                      { className: 't-PT12 t-PB12 t-PL16 t-PR6' },
                      _react2.default.createElement('i', { className: 'iconfont icon-personnelregister t-FCd t-FS20' })
                    ),
                    _react2.default.createElement(
                      HBox,
                      { flex: 1, onClick: this.showSubList1.bind(this, i) },
                      _react2.default.createElement(
                        Box,
                        { flex: 1, className: 't-FS16 t-PL4 t-PR10 t-omit t-WB' },
                        item.name
                      ),
                      _react2.default.createElement(
                        Box,
                        { className: 't-PR16' },
                        _react2.default.createElement('i', { className: item.showSubList ? "iconfont icon-arrow-up t-rotate-180 t-FCc" : "iconfont icon-arrow-up t-rotate-90 t-FCc" })
                      )
                    )
                  ),
                  _react2.default.createElement(
                    'div',
                    { className: item.showSubList ? "" : "t-DN" },
                    item.todo.map(function (subItem, j, i) {
                      return _react2.default.createElement(
                        'div',
                        { className: 'dd-top-border' },
                        _react2.default.createElement(
                          HBox,
                          { vAlign: 'center' },
                          _react2.default.createElement(
                            Box,
                            { className: 't-PT12 t-PB12 t-PL16 t-PR6' },
                            _react2.default.createElement('i', { className: 'iconfont icon-personnelregister t-FCd t-FS20' })
                          ),
                          _react2.default.createElement(
                            HBox,
                            { flex: 1, onClick: this.showSubList2.bind(this, j, i) },
                            _react2.default.createElement(
                              Box,
                              { flex: 1, className: 't-FS16 t-PL4 t-PR10 t-omit t-WB' },
                              subItem.name
                            ),
                            _react2.default.createElement(
                              Box,
                              { className: 't-PR16' },
                              _react2.default.createElement('i', { className: subItem.showSubList ? "iconfont icon-arrow-up t-rotate-180 t-FCc" : "iconfont icon-arrow-up t-rotate-90 t-FCc" })
                            )
                          )
                        ),
                        _react2.default.createElement(
                          'div',
                          { className: subItem.showSubList ? "" : "t-DN" },
                          subItem.todo.map(function (subItem2, j, i) {
                            return _react2.default.createElement(
                              'div',
                              { className: 'dd-top-border', onClick: this.bindCheck2.bind(this, j, i) },
                              _react2.default.createElement(
                                HBox,
                                { vAlign: 'center' },
                                _react2.default.createElement(
                                  Box,
                                  { className: 't-PL16' },
                                  _react2.default.createElement(
                                    'div',
                                    { className: subItem2.checked ? "t-checkbox-field-icon-list" : "un-checked t-checkbox-field-icon-list" },
                                    _react2.default.createElement('i', { className: 'iconfont icon-checked t-FCf t-FS14' })
                                  )
                                ),
                                _react2.default.createElement(
                                  Box,
                                  { className: 't-PT12 t-PB12 t-PL10 t-PR6' },
                                  _react2.default.createElement('i', { className: 'iconfont icon-personnelregister t-FCd t-FS20' })
                                ),
                                _react2.default.createElement(
                                  Box,
                                  { flex: 1, className: 't-FS16 t-PL4 t-PR10 t-omit' },
                                  subItem2.name
                                )
                              )
                            );
                          }.bind(this))
                        )
                      );
                    }.bind(this))
                  )
                );
              }.bind(this)),
              _react2.default.createElement(
                HBox,
                { vAlign: 'center', className: 't-bottom-fixed t-P16 t-PT10 t-PB10' },
                _react2.default.createElement(Box, { flex: 1 }),
                _react2.default.createElement(
                  Box,
                  { className: 't-MR4' },
                  _react2.default.createElement(
                    _Button2.default,
                    { type: 'secondary', size: 'small', display: 'inline' },
                    '\u53D6\u6D88'
                  )
                ),
                _react2.default.createElement(
                  Box,
                  null,
                  _react2.default.createElement(
                    _Button2.default,
                    { type: 'primary', size: 'small', display: 'inline' },
                    '\u786E\u5B9A'
                  )
                )
              )
            ),
            animationType: 'slide-left',
            onMaskClick: function onMaskClick() {
              _this2.setState({ visible: false });_this2.closMask();
            },
            visible: this.state.visible
          },
          null
        )
      );
    }
  }]);

  return Page;
}(_react2.default.Component);

exports.default = Page;