'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactGridLayout = require('react-grid-layout');

var _reactGridLayout2 = _interopRequireDefault(_reactGridLayout);

var _Badge = require('saltui/lib/Badge');

var _Badge2 = _interopRequireDefault(_Badge);

var _Grid = require('saltui/lib/Grid');

var _Grid2 = _interopRequireDefault(_Grid);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _TextField = require('saltui/lib/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _Tab = require('saltui/lib/Tab');

var _Tab2 = _interopRequireDefault(_Tab);

var _Carousel = require('saltui/lib/Carousel');

var _Carousel2 = _interopRequireDefault(_Carousel);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

require('react-grid-layout/css/styles.css');

require('react-resizable/css/styles.css');

require('./react_grid.less');

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

var _variables = require('../db/variables');

var _variables2 = _interopRequireDefault(_variables);

var _chart = require('../chart/chart');

var _chart2 = _interopRequireDefault(_chart);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var projectMenuUrl = _variables2.default.projectMenuUrl;
var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box,
    VBox = _Boxs2.default.VBox;
var RightAddon = _TextField2.default.RightAddon;

var context = document.getElementById("context").value;

var MyGrid = function (_React$Component) {
  _inherits(MyGrid, _React$Component);

  function MyGrid(props) {
    _classCallCheck(this, MyGrid);

    var _this = _possibleConstructorReturn(this, (MyGrid.__proto__ || Object.getPrototypeOf(MyGrid)).call(this, props));

    _this.initPage = function () {
      // 部件的初始化信息
      _db2.default.reactGrid.getPortalPage({ id: '' }).then(function (res) {
        console.log('====================================');
        console.log(res, 'resresresresres');
        console.log('====================================');

        _this.setState({
          data: res
        });
        res.map(function (item) {
          if (item.portletCode !== 'banner' && item.portletCode !== 'tbgl') {
            var params = {
              code: item.portletCode,
              ppId: item.id
            };
            _db2.default.reactGrid.getComponentInfoListAll(params).then(function (res) {
              console.log(res, '????????????????????????');
              _this.setState(_defineProperty({}, item.portletCode + '_' + item.id, res));
            });
          } else if (item.portletCode == 'banner') {
            _this.setState(_defineProperty({}, item.portletCode + '_' + item.id, JSON.parse(item.personalSetting)), function () {
              console.log(_this.state, '///////////////////////////');
            });
          }
        });
      });
      _this.getRemindCount();
      _this.getShoucangAppInfo();
    };

    _this.state = {
      data: [],
      isDraggable: false,
      //标题样式
      titleStatus: true,
      titleFontFamily: '',
      titleFontWeight: 400,
      titleColor: '',
      titleFontSize: '',
      titleFontStyle: '',
      titleBgColor: '',
      // 部件圆角
      borderTopLeftRadius: '10px',
      borderTopRightRadius: '10px',
      borderBottomLeftRadius: '10px',
      borderBottomRightRadius: '10px',
      // 部件边框样式
      borderColor: '',
      borderWidth: '',
      // 部件内边距
      paddingLeft: '',
      paddingright: '',
      paddingTop: '',
      paddingBottom: '',

      // todoList: [],//移动集成 配置提醒项信息  
      todoList: ["banshi", "zixun", "yingyong", "daiban", "wode"],
      pageImage: projectMenuUrl.pageImage, //提醒项背景图
      appInfoList: [], //移动集成 配置应用信息 
      bannerPicPath: '',
      activeIndex: 2,
      undo: 0, //待办数量
      appOftenList: [], //常用应用
      collectAppInfoList: [], //收藏应用
      bssx: [], // 办事事项
      bssx_per: [], // 办事事项_个人办事
      bssx_org: [], // 办事事项_部门办事
      jxzt: [], // 精选专题
      ttxx: [], // 头条信息
      xwzx: [], // 新闻资讯
      gryj: [], // 个人邮件
      grrc: [], // 个人日程
      grrc_list: [], // 个人日程-日程信息
      grhy: [], // 个人会议
      showbssx: true, // 办事事项
      showjxzt: true, // 精选专题
      showttxx: true, // 头条信息
      showxwzx: true, // 新闻资讯
      showgryj: true, // 个人邮件
      showgrrc: true, // 个人日程
      showgrhy: true, // 个人会议
      showcyyy: true, // 常用应用
      initCleader: false,
      bannerList: [],
      showSlide: false,
      refreshing: false, //下拉刷新
      showMobileComponent: "", // 显示部件显示模块
      componentList: [], // 显示部件显示模块数组
      pageImageList: [],
      showItem: 0,
      searchVal: '', //顶部搜索input值
      filterValue: { //顶部搜索分类值
        sort: [{ text: '全部', value: 'all' }]
      },
      modelCode: 'all',
      bssxPer_show: true, //办事事项_个人_是否显示
      bssxOrg_show: true, //办事事项_个人_是否显示,
      cyyyUsuTab_show: true, //常用应用_是否显示
      cyyyPerTab_show: true //我的收藏_是否显示


    };
    return _this;
  }

  _createClass(MyGrid, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.initPage();
    }

    // 遍历初始化得到的data，奖id给请求部件的内容的接口
    // 如果有两个相同的部件，将会用id请求部件内容，接口返回的数据需要 this.setState({【id】:result.data});这样存值
    // 取值的时候根据id取值

  }, {
    key: 'getShoucangAppInfo',


    // 获取收藏应用
    value: function getShoucangAppInfo() {
      var _this2 = this;

      _db2.default.reactGrid.getNewHomePageCollectAppInfoList({ showClient: "DING" }).then(function (result) {
        _this2.setState(_defineProperty({}, item.portletCode + '_' + item.id, res));
      }).catch(function (error) {});
    }
  }, {
    key: 'getRemindCount',
    value: function getRemindCount() {
      var _this3 = this;

      _db2.default.reactGrid.getNewHomePageRemindCount({ codes: "undo" }).then(function (content) {
        if (content.undo) {
          _this3.setState({
            undo: content.undo
          });
        }
      });
    }
  }, {
    key: 'initCleader',
    value: function initCleader(event) {
      if (this.state.initCleader == false) {
        var t = this;
        var calendar = document.getElementById("calendar");
        if (calendar) {
          var cld = new CalendarMobile({
            el: 'box',
            value: '', // 默认为new Date();
            type: 1,
            parentNode: calendar,
            // fold: false,
            fn: function fn(obj) {
              // 日期选择后回调
              var YY = obj.year;
              var MM = obj.month >= 10 ? obj.month : "0" + obj.month;
              var DD = obj.day >= 10 ? obj.day : "0" + obj.day;
              var Date = YY + "-" + MM + "-" + DD;
              t.showCalendarList(Date, event);
            },
            //点击上一个月
            prevMonth: function prevMonth(obj) {},
            //点击下一个月
            nextMonth: function nextMonth(obj) {},
            calendarInit: function calendarInit(obj) {
              var YY = obj.year;
              var MM = obj.month >= 10 ? obj.month : "0" + obj.month;
              var DD = obj.day >= 10 ? obj.day : "0" + obj.day;
              var Date = YY + "-" + MM + "-" + DD;
              t.showCalendarEvent(event);
              t.showCalendarList(Date, event);
            }
          });
          this.setState({ initCleader: true });
        }
      }
    }

    //在日历上显示日程事件（显示点）

  }, {
    key: 'showCalendarEvent',
    value: function showCalendarEvent(dates, obj, t) {
      var $span = $(".canChoose").find('span');
      $span.removeClass('hasEvent');
      // var dates = this.state.grrc.dateList
      var dates = dates.dateList;
      if (dates) {
        for (var i = 0; i < dates.length; i++) {
          var date = new Date(dates[i]);
          var day = date.getDate();
          $span.eq(parseInt(day) - 1).addClass('hasEvent');
        }
      }
    }
    //显示日程信息

  }, {
    key: 'showCalendarList',
    value: function showCalendarList(Date, data) {
      if (data.dataMap && data.dataMap[Date]) {
        this.setState({ grrc_list: data.dataMap[Date] });
      } else {
        this.setState({ grrc_list: [] });
      }
    }
  }, {
    key: 'globalSearchChange',
    value: function globalSearchChange(newValue) {
      // this.setState({
      //   searchVal: newValue
      // });
      location.hash = "homepage/home/fullSearch";
    }
  }, {
    key: 'globalSearchClick',
    value: function globalSearchClick() {
      var modelCode = this.state.modelCode;
      var searchCondition = this.state.searchVal;
      location.hash = "homepage/home/fullSearch/" + modelCode + '/' + searchCondition;
    }
    //跳转到语典

  }, {
    key: 'gotoYd',
    value: function gotoYd() {
      pageSkipDirectly(variables.ydPath);
    }

    // 应用跳转

  }, {
    key: 'newPageSkip',
    value: function newPageSkip(dingUrl, wxUrl, mhUrl, cocallUrl) {
      var dingVal = "DING";
      var wxVal = "WX";
      var mhVal = "MH";

      var data = getLoginUserInfo();
      var thirdMenuType = data.thirdMenuType;
      if (thirdMenuType == dingVal) {
        dd.biz.util.openLink({
          url: dingUrl, //要打开链接的地址
          onSuccess: function onSuccess(result) {
            /**/
          },
          onFail: function onFail(err) {}
        });
      } else if (thirdMenuType == wxVal) {
        window.open(wxUrl);
      } else if (thirdMenuType == mhVal) {
        window.location = mhUrl;
        /**
        emp.navigateTo({
            url: mhUrl,//跳转地址
            success: function () {
            }, //跳转成功回调
            error: function () {
            } //跳转失败回调
        }); */
      } else {
        window.location = dingUrl;
      }
    }
  }, {
    key: 'skipPage',
    value: function skipPage(url) {
      var dingVal = "DING";
      var wxVal = "WX";
      var mhVal = "MH";
      var data = getLoginUserInfo();
      var thirdMenuType = data.thirdMenuType;
      var urlComplete = data.contextPageUrl + "/" + url;

      if (thirdMenuType == dingVal) {
        dd.biz.util.openLink({
          url: urlComplete, //要打开链接的地址
          onSuccess: function onSuccess(result) {
            /**/
          },
          onFail: function onFail(err) {}
        });
      } else if (thirdMenuType == wxVal) {
        window.open(urlComplete);
      } else if (thirdMenuType == mhVal) {
        window.location = urlComplete;
      } else {
        window.location = urlComplete;
      }
    }
  }, {
    key: 'jumpPage',
    value: function jumpPage(url) {
      location.hash = url;
    }
    //跳转到应用

  }, {
    key: 'skip2Project',
    value: function skip2Project(code, pagePath) {
      location.hash = pagePath;
    }
  }, {
    key: 'render',
    value: function render() {
      var _this4 = this;

      var t = this;
      // let pathUrl = "";
      // if (t.state.bannerPicPath && t.state.bannerPicPath != "") {
      //   pathUrl = t.state.bannerPicPath;
      // } else {
      //   pathUrl = t.state.pageImage;
      // }
      var context = localStorage.getItem('context');
      var userId = getLoginUserInfo().userId;
      var token = getLoginUserInfo().token;
      var layout = this.state.data.map(function (item) {
        return {
          i: item.id,
          x: item.positionX,
          y: item.positionY,
          w: item.portletWidth,
          h: item.portletHeight,
          static: true //禁止修改部件大小
        };
      });

      var colNum = t.state.todoList.length > 0 ? t.state.todoList.length : 5;
      // 控制【常用应用】显示列数
      var colNum1 = 4;

      var grrcContent = t.state.grrc_list.map(function (item) {
        var completed = false;
        if (item.startTime) {
          var date = new Date(item.startTime.replace(/-/g, '/'));
          var H = date.getHours();
          var M = date.getMinutes();
          if (H < 10) {
            H = "0" + H;
          }
          if (M < 10) {
            M = "0" + M;
          }
          var time = H + ":" + M;
          var now = new Date();
          if (date < now) {
            //过去时
            completed = true;
          }
        }
        return _react2.default.createElement(
          HBox,
          { className: completed ? 'rc-item t-PR rc-completed' : 'rc-item t-PR', vAlign: 'center' },
          _react2.default.createElement(
            Box,
            { className: 'rc-item-time' },
            time
          ),
          _react2.default.createElement(
            Box,
            { className: 'rc-item-time-line' },
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-fuhao' })
          ),
          _react2.default.createElement(
            Box,
            { flex: 1, className: 'rc-item-title t-omit' },
            item.title
          )
        );
      });

      return _react2.default.createElement(
        'div',
        { className: 'react-grid' },
        _react2.default.createElement(
          _reactGridLayout2.default,
          {
            className: 'layout',
            layout: layout,
            cols: 12,
            rowHeight: 20,
            width: window.innerWidth,
            isDraggable: this.state.isDraggable,
            margin: [0, 10]
          },
          this.state.data.map(function (item) {
            {/* banner */}
            if (item.portletCode === 'banner') {
              // 判断AI和menu
              var isShowList = JSON.parse(item.personalSetting).bannerSet.split(',');
              var styleSetting = JSON.parse(item.styleSetting);
              var pathUrl = "";
              if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].bannerImg) {
                var pathUrlId = t.state[item.portletCode + '_' + item.id].bannerImg;
                pathUrl = localStorage.getItem('context') + '/api/m/plugin/attachment/mobile/viewImage?token=' + localStorage.getItem('token') + '&fid=' + pathUrlId;
              } else {
                pathUrl = t.state.pageImage;
              }
              return _react2.default.createElement(
                'div',
                { className: 'react-grid-component', key: item.id, style: {
                    borderTopLeftRadius: styleSetting.otherSet.radius.topLeft,
                    borderTopRightRadius: styleSetting.otherSet.radius.topRight,
                    borderBottomLeftRadius: styleSetting.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: styleSetting.otherSet.radius.bottomRight,
                    paddingLeft: styleSetting.otherSet.paddingSet.pl,
                    paddingright: styleSetting.otherSet.paddingSet.pr,
                    paddingTop: styleSetting.otherSet.paddingSet.pt,
                    paddingBottom: styleSetting.otherSet.paddingSet.pb,
                    background: styleSetting.otherSet.bgColor ? styleSetting.otherSet.bgColor : ''
                  } },
                _this4.conponentHeads,
                _react2.default.createElement(
                  'div',
                  { className: 'react-grid-banner' },
                  _react2.default.createElement(
                    'div',
                    { className: 'banner' },
                    _react2.default.createElement(
                      'div',
                      { className: t.state.showSlide == true ? "t-PR" : "t-DN" },
                      _this4.state.bannerList.map(function (item) {
                        return _react2.default.createElement(
                          'div',
                          { className: 'banner-gallery', index: item.index },
                          _react2.default.createElement('img', { className: t.state.showItem == item.index ? "bannerimg" : "t-DN", src: item.src })
                        );
                      }),
                      _react2.default.createElement(
                        'div',
                        { className: 'gallery-list' },
                        _this4.state.bannerList.map(function (item) {
                          return _react2.default.createElement('span', { className: t.state.showItem == item.index ? "gallery-dot active" : "gallery-dot" });
                        })
                      )
                    ),
                    _react2.default.createElement('img', { className: t.state.showSlide == false ? "bannerimg" : "t-DN", src: pathUrl, onerror: '/mobile/fmui/images/home-banner.png\';this.onerror=null' })
                  ),
                  _react2.default.createElement(
                    'div',
                    { className: 'global-search' },
                    _react2.default.createElement(
                      _TextField2.default,
                      { placeholder: '\u8BF7\u8F93\u5165\u5173\u952E\u8BCD\u8FDB\u884C\u641C\u7D22', value: t.state.searchVal, allowClear: false, onClick: function onClick(value) {
                          t.globalSearchChange(value);
                        } },
                      _react2.default.createElement(
                        RightAddon,
                        null,
                        _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-sousuo1 t-P10', onClick: function onClick() {
                            t.globalSearchClick();
                          } })
                      )
                    ),
                    _react2.default.createElement(
                      'div',
                      { className: isShowList.indexOf('AI') > -1 ? 't-FAC' : 't-DN', onClick: function onClick() {
                          t.gotoYd();
                        } },
                      _react2.default.createElement('i', { className: 'iconfont icon-zhineng' }),
                      _react2.default.createElement(
                        'div',
                        { className: 't-FS12 t-MT4' },
                        '\u667A\u80FD\u5BA2\u670D'
                      )
                    )
                  ),
                  _react2.default.createElement(
                    _Grid2.default,
                    { col: colNum, className: 'dd-applist' },
                    t.state.todoList.length > 0 && isShowList.indexOf('menu') > -1 ? t.state.todoList.map(function (item) {
                      var todoInfo = projectMenuUrl.todoInfo[item];
                      return _react2.default.createElement(
                        'div',
                        { className: 'demo', onClick: t.skip2Project.bind(this, todoInfo.moduleCode, todoInfo.url) },
                        _react2.default.createElement(
                          'div',
                          { className: 'react-grid-banner-item' },
                          _react2.default.createElement(
                            _Badge2.default,
                            { count: item == 'daiban' ? t.state.undo : '' },
                            _react2.default.createElement('i', { className: 'theme-color iconfont icon-' + todoInfo.icon })
                          )
                        ),
                        _react2.default.createElement(
                          'div',
                          { className: 'menu-title t-FS14' },
                          todoInfo.name
                        )
                      );
                    }.bind(_this4)) : ''
                  )
                )
              );
            }

            if (item.portletCode === 'cyyy') {
              var personalSetting = JSON.parse(item.personalSetting);
              var _styleSetting = JSON.parse(item.styleSetting);
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting.otherSet.paddingSet.pl,
                    paddingright: _styleSetting.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting.otherSet.paddingSet.pb,
                    background: _styleSetting.otherSet.bgColor ? _styleSetting.otherSet.bgColor : ''
                  } },
                _react2.default.createElement(
                  'div',
                  { className: 'react-app-collect' },
                  _react2.default.createElement(
                    _Tab2.default,
                    { activeKey: '0' },
                    _react2.default.createElement(
                      _Tab2.default.Item,
                      { title: _react2.default.createElement(
                          'div',
                          { style: { color: _styleSetting.titleSet.color, fontWeight: _styleSetting.titleSet.fontWeight } },
                          '\u5E38\u7528\u5E94\u7528'
                        ) },
                      _react2.default.createElement(
                        _Grid2.default,
                        { col: personalSetting.cols * 1, className: t.state.showcyyy ? '' : 't-DN' },
                        t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].data.length > 0 ? t.state[item.portletCode + '_' + item.id].data.map(function (ele) {
                          return _react2.default.createElement(
                            'div',
                            { className: 'systemItem', onClick: t.newPageSkip.bind(t, ele.dingUrl, ele.wxUrl, ele.mhUrl, ele.cocallUrl) },
                            _react2.default.createElement(
                              'div',
                              { className: ele.iconColor == "" ? "iconblock t-iconBCred" : 'iconblock t-iconBC' + ele.iconColor },
                              _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + ele.icon })
                            ),
                            _react2.default.createElement(
                              'p',
                              { className: 'text t-omit t-PT2 t-LH2' },
                              ele.name
                            )
                          );
                        }) : '',
                        _react2.default.createElement(
                          'div',
                          { className: 'systemItem', onClick: t.jumpPage.bind(_this4, "homepage/home/applistSetting") },
                          _react2.default.createElement(
                            'div',
                            { className: 'iconblock t-iconBCred' },
                            _react2.default.createElement('i', { className: 'iconfont-ywtb' + ' icon-ywtb-gengduo' })
                          ),
                          _react2.default.createElement(
                            'p',
                            { className: 'text t-omit t-PT2 t-LH2' },
                            '\u66F4\u591A'
                          )
                        )
                      )
                    ),
                    _react2.default.createElement(
                      _Tab2.default.Item,
                      { title: _react2.default.createElement(
                          'div',
                          { style: { color: _styleSetting.titleSet.color, fontWeight: _styleSetting.titleSet.fontWeight } },
                          '\u6211\u7684\u6536\u85CF'
                        ) },
                      _react2.default.createElement(
                        _Grid2.default,
                        { col: personalSetting.cols * 1 },
                        t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].data.length > 0 ? t.state[item.portletCode + '_' + item.id].data.map(function (ele) {
                          return _react2.default.createElement(
                            'div',
                            { className: 'systemItem', onClick: t.newPageSkip.bind(t, ele.dingUrl, ele.wxUrl, ele.mhUrl, ele.cocallUrl) },
                            _react2.default.createElement(
                              'div',
                              { className: 'iconblock t-iconBC' + ele.iconColor },
                              _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + ele.icon })
                            ),
                            _react2.default.createElement(
                              'p',
                              { className: 'text t-omit t-PT2 t-LH2' },
                              ele.name
                            )
                          );
                        }) : '',
                        _react2.default.createElement(
                          'div',
                          { className: 'systemItem', onClick: t.jumpPage.bind(_this4, "/appCollect") },
                          _react2.default.createElement(
                            'div',
                            { className: 'iconblock t-iconBCred' },
                            _react2.default.createElement('i', { className: 'iconfont-ywtb' + ' icon-ywtb-gengduo' })
                          ),
                          _react2.default.createElement(
                            'p',
                            { className: 'text t-omit t-PT2 t-LH2' },
                            '\u66F4\u591A'
                          )
                        )
                      )
                    )
                  )
                )
              );
            }

            if (item.portletCode === 'bssx') {
              {/* 办事 */}
              var _personalSetting = JSON.parse(item.personalSetting);
              var bssxShowList = JSON.parse(item.personalSetting).showModule;
              var _styleSetting2 = JSON.parse(item.styleSetting);

              var componentContent = '';
              var perList = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                if (t.state[item.portletCode + '_' + item.id].perList) {
                  perList = t.state[item.portletCode + '_' + item.id].perList.map(function (item) {
                    return _react2.default.createElement(
                      'div',
                      { className: 'banshi-item', onClick: function onClick() {
                          history.push('/officeguid' + ('?id=' + item.id + '&code=' + item.code));
                        } },
                      _react2.default.createElement(
                        'div',
                        { className: 'title t-omit' },
                        item.name
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'describe t-omit' },
                        item.categoryName
                      ),
                      _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' bg' }),
                      _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' ic' })
                    );
                  });
                }
              }
              var orgList = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                if (t.state[item.portletCode + '_' + item.id].orgList) {
                  orgList = t.state[item.portletCode + '_' + item.id].orgList.map(function (item) {
                    return _react2.default.createElement(
                      'div',
                      { className: 'banshi-item', onClick: function onClick() {
                          history.push('/officeguid' + ('?id=' + item.id + '&code=' + item.code));
                        } },
                      _react2.default.createElement(
                        'div',
                        { className: 'title t-omit' },
                        item.name
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'describe t-omit' },
                        item.categoryName
                      ),
                      _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' bg' }),
                      _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' ic' })
                    );
                  });
                }
              }
              var bssxPerTab = '';
              if (_styleSetting2.titleSet.titleStatus == 1 && bssxShowList.indexOf('personWork') > -1) {
                bssxPerTab = _react2.default.createElement(
                  _Tab2.default.Item,
                  { title: _react2.default.createElement(
                      'div',
                      { className: '', style: _defineProperty({ color: _styleSetting2.titleSet.color, fontWeight: _styleSetting2.titleSet.fontWeight, fontSize: _styleSetting2.titleSet.titleSize, fontFamily: _styleSetting2.titleSet.fontFamily, fontStyle: _styleSetting2.titleSet.titleItalic }, 'fontWeight', _styleSetting2.titleSet.titleWeight) },
                      '\u4E2A\u4EBA\u529E\u4E8B'
                    ), key: 0 },
                  _react2.default.createElement(
                    'div',
                    { className: 'banshi-list' },
                    perList
                  )
                );
              }
              var bssxOrgTab = '';
              if (_styleSetting2.titleSet.titleStatus == 1 && bssxShowList.indexOf('deptWork') > -1) {
                bssxOrgTab = _react2.default.createElement(
                  _Tab2.default.Item,
                  { key: 1, title: _react2.default.createElement(
                      'div',
                      { className: '', style: _defineProperty({ color: _styleSetting2.titleSet.color, fontWeight: _styleSetting2.titleSet.fontWeight, fontSize: _styleSetting2.titleSet.titleSize, fontFamily: _styleSetting2.titleSet.fontFamily, fontStyle: _styleSetting2.titleSet.titleItalic }, 'fontWeight', _styleSetting2.titleSet.titleWeight) },
                      '\u90E8\u95E8\u529E\u4E8B'
                    ) },
                  _react2.default.createElement(
                    'div',
                    { className: 'banshi-list' },
                    orgList
                  )
                );
              }
              componentContent = _react2.default.createElement(
                'div',
                { className: 'component-bssx' },
                _react2.default.createElement(
                  'p',
                  { className: _styleSetting2.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN' },
                  '\u66F4\u591A',
                  _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
                ),
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: bssxShowList.indexOf('personWork') > -1 ? "0" : "1" },
                  bssxPerTab,
                  bssxOrgTab
                )
              );

              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting2.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting2.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting2.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting2.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting2.otherSet.paddingSet.pl,
                    paddingright: _styleSetting2.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting2.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting2.otherSet.paddingSet.pb,
                    background: _styleSetting2.otherSet.bgColor ? _styleSetting2.otherSet.bgColor : ''
                  } },
                componentContent
              );
            }

            if (item.portletCode === 'ttxx') {
              var _personalSetting2 = JSON.parse(item.personalSetting);
              var _styleSetting3 = JSON.parse(item.styleSetting);
              var componentContent1 = '';
              var carouselItem = '';
              var carouselList = '';
              if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
                var tDiv = document.createElement('div');
                carouselItem = t.state[item.portletCode + '_' + item.id].map(function (item) {
                  if (item.infoList.length > 0) {
                    tDiv.innerHTML = item.infoList[0].content;
                    var text = tDiv.innerText;
                    return _react2.default.createElement(
                      _Carousel2.default.Item,
                      null,
                      _react2.default.createElement(
                        'div',
                        { className: 'notice-card-head' },
                        _react2.default.createElement(
                          'span',
                          null,
                          item.infoList[0].columnName
                        ),
                        _react2.default.createElement(
                          _Button2.default,
                          { type: 'custom', onClick: t.jumpPage.bind(this, "/channelDetail/" + item.channelId + '/' + item.columnId + '/' + item.columnName) },
                          '\u66F4\u591A'
                        )
                      ),
                      _react2.default.createElement(
                        'div',
                        { onClick: t.jumpPage.bind(this, "/infodetail/" + item.infoList[0].id) },
                        _react2.default.createElement(
                          'strong',
                          { className: 't-FS14 t-omit2 t-LH1_3 t-MB10' },
                          item.infoList[0].title
                        ),
                        _react2.default.createElement(
                          'p',
                          { className: 't-FS14 t-FCgrey t-omit2 t-LH1_5 t-MB10' },
                          text
                        ),
                        _react2.default.createElement(
                          'p',
                          { className: 't-FS12 t-FCgrey' },
                          item.infoList[0].createdDate
                        )
                      )
                    );
                  }
                });
                carouselList = carouselItem.filter(function (carouselItem) {
                  return typeof carouselItem !== 'undefined';
                });
              }
              if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {

                componentContent1 = _react2.default.createElement(
                  'div',
                  { className: 'componentBox' },
                  _react2.default.createElement(
                    'div',
                    { className: 'notice-card' },
                    _react2.default.createElement(
                      _Carousel2.default,
                      { showNav: true, auto: true, height: '180px', className: 'carousel-notice' },
                      carouselList
                    )
                  )
                );
              }
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting3.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting3.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting3.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting3.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting3.otherSet.paddingSet.pl,
                    paddingright: _styleSetting3.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting3.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting3.otherSet.paddingSet.pb,
                    background: _styleSetting3.otherSet.bgColor ? _styleSetting3.otherSet.bgColor : ''
                  } },
                componentContent1
              );
            }

            if (item.portletCode === 'xwzx') {
              var _personalSetting3 = JSON.parse(item.personalSetting);
              var _styleSetting4 = JSON.parse(item.styleSetting);
              var componentContent2 = '';
              var xwzxContent = '';
              if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length) {
                xwzxContent = t.state[item.portletCode + '_' + item.id].map(function (item) {
                  var infoList = item.infoList.map(function (infoItem) {
                    var imgSrc = "";
                    var imgIdList = 0;
                    if (infoItem.imgId) {
                      imgIdList = infoItem.imgId.split('|');
                    }
                    if (imgIdList.length >= 3) {
                      var imgSrc1 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[0] + "&token=" + getLoginUserInfo().token;
                      var imgSrc2 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[1] + "&token=" + getLoginUserInfo().token;
                      var imgSrc3 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[2] + "&token=" + getLoginUserInfo().token;
                      return _react2.default.createElement(
                        'div',
                        { className: 'infoList3', onClick: t.jumpPage.bind(this, "/infodetail/" + infoItem.id) },
                        _react2.default.createElement(
                          'div',
                          { className: 'infoContent' },
                          _react2.default.createElement(
                            'p',
                            null,
                            infoItem.title
                          ),
                          _react2.default.createElement(
                            'div',
                            { className: 'infoPics' },
                            _react2.default.createElement('img', { src: imgSrc1 }),
                            _react2.default.createElement('img', { src: imgSrc2 }),
                            _react2.default.createElement('img', { src: imgSrc3 })
                          ),
                          _react2.default.createElement(
                            'p',
                            { className: 't-FS14' },
                            _react2.default.createElement('i', { className: infoItem.isTop == "1" ? "iconfont icon-istop t-FS14 t-FCddblue t-MR6" : "t-DN" }),
                            _react2.default.createElement('img', { className: infoItem.isEssence == "1" ? "" : "t-DN" }),
                            _react2.default.createElement(
                              'span',
                              { className: 't-FB1 t-omit', style: { maxWidth: "115px" } },
                              infoItem.columnName
                            ),
                            _react2.default.createElement(
                              'span',
                              null,
                              infoItem.publishDate
                            )
                          )
                        )
                      );
                    } else {
                      if (infoItem.imgId) {
                        imgSrc = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[0] + "&token=" + getLoginUserInfo().token;
                      }
                      return _react2.default.createElement(
                        'div',
                        { className: 'infoList', onClick: t.jumpPage.bind(this, "/infodetail/" + infoItem.id) },
                        _react2.default.createElement(
                          'div',
                          { className: 'infoContent' },
                          _react2.default.createElement(
                            'div',
                            { className: imgSrc ? "imgContent" : "t-DN" },
                            _react2.default.createElement('img', { src: imgSrc })
                          ),
                          _react2.default.createElement(
                            'div',
                            { className: 't-FB1' },
                            _react2.default.createElement(
                              'p',
                              null,
                              infoItem.title
                            ),
                            _react2.default.createElement(
                              'p',
                              { className: 't-FS14' },
                              _react2.default.createElement('i', { className: infoItem.isTop == "1" ? "iconfont icon-istop t-FS14 t-FCddblue t-MR6" : "t-DN" }),
                              _react2.default.createElement('img', { className: infoItem.isEssence == "1" ? "" : "t-DN" }),
                              _react2.default.createElement(
                                'span',
                                { className: 't-FB1 t-omit', style: { maxWidth: "115px" } },
                                infoItem.columnName
                              ),
                              _react2.default.createElement(
                                'span',
                                null,
                                infoItem.publishDate
                              )
                            )
                          )
                        )
                      );
                    }
                  });
                  return _react2.default.createElement(
                    _Tab2.default.Item,
                    { title: item.columnName, key: item.columnId },
                    item.infoList.length > 0 ? _react2.default.createElement(
                      'div',
                      null,
                      infoList,
                      _react2.default.createElement(
                        'div',
                        { className: 'info-more-btn', onClick: t.jumpPage.bind(this, "/channelDetail/" + item.channelId + '/' + item.columnId + '/' + item.columnName) },
                        '\u67E5\u770B\u66F4\u591A'
                      )
                    ) : _react2.default.createElement(
                      'div',
                      null,
                      '\u6682\u65E0\u6570\u636E'
                    )
                  );
                });
              }

              if (t.state[item.portletCode + '_' + item.id]) {
                componentContent2 = _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: t.state[item.portletCode + '_' + item.id][0].columnId, pageSize: 4, showExpandAll: false, speed: 2 },
                  xwzxContent
                );
              }
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting4.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting4.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting4.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting4.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting4.otherSet.paddingSet.pl,
                    paddingright: _styleSetting4.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting4.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting4.otherSet.paddingSet.pb,
                    background: _styleSetting4.otherSet.bgColor ? _styleSetting4.otherSet.bgColor : ''
                  } },
                componentContent2
              );
            }

            if (item.portletCode === 'gryj') {
              var _personalSetting4 = JSON.parse(item.personalSetting);
              var _styleSetting5 = JSON.parse(item.styleSetting);
              console.log('====================================');
              console.log(_styleSetting5.otherSet.toolbarShow, 'styleSetting.otherSet.toolbarShowstyleSetting.otherSet.toolbarShow');
              console.log('====================================');
              var gryjShowList = _personalSetting4.mailMenu;
              var _componentContent = '';
              var gryjContent = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                if (t.state[item.portletCode + '_' + item.id].data.personList) {
                  gryjContent = t.state[item.portletCode + '_' + item.id].data.personList.map(function (item) {
                    return _react2.default.createElement(
                      'div',
                      { className: 'list-item', onClick: t.skipPage.bind(this, 'mobile/modules/mail/dist/index.html?context=' + context + '&contextPath=flex&isPublic=0#/mail/details/' + item.mailId + '/1/0/undefined/undefined/undefined/1') },
                      _react2.default.createElement(
                        'div',
                        { className: item.isRead == "false" ? "item-label label-special" : "t-DN" },
                        '\u672A\u8BFB'
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'item-title' },
                        item.theme
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'item-content' },
                        _react2.default.createElement(
                          'div',
                          { className: 'content t-FCddfontblue-60 t-FS12' },
                          _react2.default.createElement(
                            'span',
                            { className: 't-MR12' },
                            item.sendTime
                          ),
                          _react2.default.createElement(
                            'span',
                            null,
                            '\u7533\u8BF7\u4EBA\uFF1A'
                          ),
                          _react2.default.createElement(
                            'span',
                            null,
                            item.sendUserName
                          )
                        ),
                        _react2.default.createElement(
                          'a',
                          { className: 'more' },
                          _react2.default.createElement('i', { className: 'iconfont icon-right-arrow t-FCddfontblue-60' })
                        )
                      )
                    );
                  });
                }
              }
              var ggyjContent = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                if (t.state[item.portletCode + '_' + item.id].data.publicList) {
                  ggyjContent = t.state[item.portletCode + '_' + item.id].data.publicList.map(function (item) {
                    return _react2.default.createElement(
                      'div',
                      { className: 'list-item', onClick: t.skipPage.bind(this, 'mobile/modules/mail/dist/index.html?context=' + context + '&contextPath=flex&isPublic=1#/mail/details/' + item.mailId + '/1/0/undefined/undefined/undefined/1') },
                      _react2.default.createElement(
                        'div',
                        { className: item.isRead == "false" ? "item-label label-special" : "t-DN" },
                        '\u672A\u8BFB'
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'item-title' },
                        item.theme
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'item-content' },
                        _react2.default.createElement(
                          'div',
                          { className: 'content t-FCddfontblue-60 t-FS12' },
                          _react2.default.createElement(
                            'span',
                            { className: 't-MR12' },
                            item.sendTime
                          ),
                          _react2.default.createElement(
                            'span',
                            null,
                            '\u7533\u8BF7\u4EBA\uFF1A'
                          ),
                          _react2.default.createElement(
                            'span',
                            null,
                            item.sendUserName
                          )
                        ),
                        _react2.default.createElement(
                          'a',
                          { className: 'more' },
                          _react2.default.createElement('i', { className: 'iconfont icon-right-arrow t-FCddfontblue-60' })
                        )
                      )
                    );
                  });
                }
              }
              var personMailTab = '';
              if (gryjShowList.indexOf('personMail') > -1) {
                var personMailTab = _react2.default.createElement(
                  _Tab2.default.Item,
                  { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: _styleSetting5.titleSet.color, fontWeight: _styleSetting5.titleSet.fontWeight } },
                      '\u4E2A\u4EBA\u90AE\u7BB1'
                    ), key: '0' },
                  _react2.default.createElement(
                    'div',
                    { className: 'list-RT-label' },
                    gryjContent
                  )
                );
              }
              if (gryjShowList.indexOf('commonMail') > -1) {
                var publicMailTab = _react2.default.createElement(
                  _Tab2.default.Item,
                  { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: _styleSetting5.titleSet.color, fontWeight: _styleSetting5.titleSet.fontWeight } },
                      '\u516C\u5171\u90AE\u7BB1'
                    ), key: '1' },
                  _react2.default.createElement(
                    'div',
                    { className: 'list-RT-label' },
                    ggyjContent
                  )
                );
              }
              _componentContent = _react2.default.createElement(
                _Tab2.default,
                { activeKey: gryjShowList.indexOf('personMail') > -1 ? "0" : "1" },
                personMailTab,
                publicMailTab
              );
              return _react2.default.createElement(
                'div',
                { className: 'ggyjContent', key: item.id, style: {
                    borderTopLeftRadius: _styleSetting5.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting5.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting5.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting5.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting5.otherSet.paddingSet.pl,
                    paddingright: _styleSetting5.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting5.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting5.otherSet.paddingSet.pb,
                    background: _styleSetting5.otherSet.bgColor ? _styleSetting5.otherSet.bgColor : ''
                  } },
                _react2.default.createElement(
                  'p',
                  { className: _styleSetting5.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN' },
                  '\u66F4\u591A',
                  _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
                ),
                _componentContent
              );
            }

            if (item.portletCode === 'grrc') {
              var _personalSetting5 = JSON.parse(item.personalSetting);
              var _styleSetting6 = JSON.parse(item.styleSetting);
              var componentHead = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: '0', className: 't-MB16' },
                  _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: _styleSetting6.titleSet.color, fontWeight: _styleSetting6.titleSet.fontWeight } },
                      '\u6211\u7684\u65E5\u7A0B'
                    ), key: '0' })
                )
              );
              var calendarDom = _react2.default.createElement('div', { id: 'calendar' });
              var grrcList = '';
              var componentContent4 = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                grrcList = _react2.default.createElement(
                  'div',
                  { className: 'rc-list' },
                  grrcContent
                );
              }
              componentContent4 = _react2.default.createElement(
                'div',
                null,
                calendarDom,
                grrcList
              );
              setTimeout(function () {
                t.initCleader(t.state[item.portletCode + '_' + item.id]);
              }, 600);
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting6.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting6.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting6.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting6.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting6.otherSet.paddingSet.pl,
                    paddingright: _styleSetting6.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting6.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting6.otherSet.paddingSet.pb,
                    background: _styleSetting6.otherSet.bgColor ? _styleSetting6.otherSet.bgColor : ''
                  } },
                componentHead,
                componentContent4
              );
            }

            if (item.portletCode === 'grhy') {
              var _personalSetting6 = JSON.parse(item.personalSetting);
              var _styleSetting7 = JSON.parse(item.styleSetting);
              var grhyContent = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                grhyContent = t.state[item.portletCode + '_' + item.id].data.map(function (item) {
                  return _react2.default.createElement(
                    'div',
                    { className: 'meetingCard' },
                    _react2.default.createElement('div', { className: 'lineTop' }),
                    _react2.default.createElement(
                      'div',
                      { className: 'meetingBg' },
                      _react2.default.createElement(
                        'div',
                        { className: 'meetingContent', onClick: t.skipPage.bind(this, 'mobile/modules/meeting/dist/index.html?context=' + context + '&hasBottomTab=1#/meeting/myMeetingDetails/' + item.applyRecordid + '/myReceived') },
                        _react2.default.createElement(
                          'div',
                          { className: 'meetingTitle' },
                          _react2.default.createElement(
                            'p',
                            { className: 't-omit t-LH1_6' },
                            item.applyRecordName
                          )
                        ),
                        _react2.default.createElement(
                          'div',
                          { className: 'meetingTime' },
                          _react2.default.createElement(
                            'div',
                            { className: 'meetingDate' },
                            _react2.default.createElement('i', { className: 'iconfont icon-shijian1 t-FS14' }),
                            _react2.default.createElement(
                              'span',
                              { className: 't-ML6' },
                              item.week
                            ),
                            _react2.default.createElement(
                              'span',
                              { className: 't-ML10' },
                              item.startDate
                            )
                          ),
                          _react2.default.createElement(
                            'div',
                            { className: 'timeTitle' },
                            _react2.default.createElement(
                              'p',
                              null,
                              '\u5F00\u59CB\u65F6\u95F4'
                            ),
                            _react2.default.createElement(
                              'p',
                              null,
                              '\u7ED3\u675F\u65F6\u95F4'
                            )
                          ),
                          _react2.default.createElement(
                            'div',
                            { className: 'time' },
                            _react2.default.createElement(
                              'li',
                              null,
                              item.sTime
                            ),
                            _react2.default.createElement(
                              'li',
                              null,
                              _react2.default.createElement(
                                'p',
                                null,
                                item.durationTime
                              )
                            ),
                            _react2.default.createElement(
                              'li',
                              null,
                              item.eTime
                            )
                          ),
                          _react2.default.createElement(
                            'div',
                            { className: 'location' },
                            _react2.default.createElement('i', { className: 'iconfont icon-dizhi t-FS14' }),
                            _react2.default.createElement(
                              'span',
                              { className: 't-ML6' },
                              item.meetingAddress
                            )
                          )
                        )
                      )
                    )
                  );
                });
              }
              var componentHead1 = _react2.default.createElement(
                'div',
                { className: 'component-bssx' },
                _react2.default.createElement(
                  'p',
                  { className: _styleSetting7.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN' },
                  '\u66F4\u591A',
                  _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
                ),
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: '0', className: 't-MB16' },
                  _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: _styleSetting7.titleSet.color, fontWeight: _styleSetting7.titleSet.fontWeight } },
                      '\u6211\u7684\u4F1A\u8BAE'
                    ), key: '0' })
                )
              );
              var componentContent5 = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                if (t.state[item.portletCode + '_' + item.id].data.length > 0) {
                  componentContent5 = grhyContent;
                }
              }
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting7.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting7.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting7.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting7.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting7.otherSet.paddingSet.pl,
                    paddingright: _styleSetting7.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting7.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting7.otherSet.paddingSet.pb,
                    background: _styleSetting7.otherSet.bgColor ? _styleSetting7.otherSet.bgColor : ''
                  } },
                componentHead1,
                componentContent5
              );
            }

            if (item.portletCode === 'lcfq') {
              var _personalSetting7 = JSON.parse(item.personalSetting);
              var _styleSetting8 = JSON.parse(item.styleSetting);
              var _componentHead = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: '0', className: 't-MB16' },
                  _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: _styleSetting8.titleSet.color, fontWeight: _styleSetting8.titleSet.fontWeight } },
                      '\u4E8B\u9879\u53D1\u8D77'
                    ), key: '0' })
                )
              );
              var _componentContent2 = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                _componentContent2 = _react2.default.createElement(
                  'div',
                  { col: _personalSetting7.cols, className: 'sxbl_buttons' },
                  t.state[item.portletCode + '_' + item.id].map(function (item) {
                    return _react2.default.createElement(
                      'button',
                      null,
                      item.name
                    );
                  })
                );
              }

              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting8.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting8.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting8.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting8.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting8.otherSet.paddingSet.pl,
                    paddingright: _styleSetting8.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting8.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting8.otherSet.paddingSet.pb,
                    background: _styleSetting8.otherSet.bgColor ? _styleSetting8.otherSet.bgColor : ''
                  } },
                _react2.default.createElement(
                  'p',
                  { className: 'rightMore' },
                  '\u66F4\u591A',
                  _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
                ),
                _componentHead,
                _componentContent2
              );
            }

            if (item.portletCode === 'tbgl') {
              var _personalSetting8 = JSON.parse(item.personalSetting);
              var _styleSetting9 = JSON.parse(item.styleSetting);
              var _componentHead2 = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: '0', className: 't-MB16' },
                  _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: _styleSetting9.titleSet.color, fontWeight: _styleSetting9.titleSet.fontWeight } },
                      '\u56FE\u8868'
                    ), key: '0' })
                )
              );

              var _componentContent3 = _react2.default.createElement(_chart2.default, { portalId: item.portalId, height: '100%' });
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting9.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting9.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting9.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting9.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting9.otherSet.paddingSet.pl,
                    paddingright: _styleSetting9.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting9.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting9.otherSet.paddingSet.pb,
                    background: _styleSetting9.otherSet.bgColor ? _styleSetting9.otherSet.bgColor : ''
                  } },
                _componentHead2,
                _componentContent3
              );
            }

            if (item.portletCode === 'wdsx') {
              var _personalSetting9 = JSON.parse(item.personalSetting);
              var _styleSetting10 = JSON.parse(item.styleSetting);
              var _componentHead3 = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: '0', className: 't-MB16' },
                  _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: _styleSetting10.titleSet.color, fontWeight: _styleSetting10.titleSet.fontWeight } },
                      '\u6211\u7684\u4E8B\u9879'
                    ), key: '0' })
                )
              );
              var _componentContent4 = '';
              if (t.state[item.portletCode + '_' + item.id]) {
                _componentContent4 = t.state[item.portletCode + '_' + item.id].map(function (item) {
                  return _react2.default.createElement(
                    'div',
                    { className: 'list-item' },
                    _react2.default.createElement(
                      'div',
                      { className: 'item-content' },
                      _react2.default.createElement(
                        'div',
                        { className: 'item-title' },
                        item.title
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'content t-FCddfontblue-60 t-FS12' },
                        _react2.default.createElement(
                          'span',
                          { className: 't-MR12' },
                          item.createTime
                        ),
                        _react2.default.createElement(
                          'span',
                          null,
                          '\u7533\u8BF7\u4EBA\uFF1A'
                        ),
                        _react2.default.createElement(
                          'span',
                          null,
                          item.startUserName
                        )
                      )
                    ),
                    _react2.default.createElement(
                      'a',
                      { className: 'more' },
                      _react2.default.createElement('i', { className: 'iconfont icon-right-arrow t-FCddfontblue-60' })
                    )
                  );
                });
              }

              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: _styleSetting10.otherSet.radius.topLeft,
                    borderTopRightRadius: _styleSetting10.otherSet.radius.topRight,
                    borderBottomLeftRadius: _styleSetting10.otherSet.radius.bottomLeft,
                    borderBottomRightRadius: _styleSetting10.otherSet.radius.bottomRight,
                    paddingLeft: _styleSetting10.otherSet.paddingSet.pl,
                    paddingright: _styleSetting10.otherSet.paddingSet.pr,
                    paddingTop: _styleSetting10.otherSet.paddingSet.pt,
                    paddingBottom: _styleSetting10.otherSet.paddingSet.pb,
                    background: _styleSetting10.otherSet.bgColor ? _styleSetting10.otherSet.bgColor : ''
                  } },
                _componentHead3,
                _react2.default.createElement(
                  'div',
                  { className: 'list-RT-label wdsx-list' },
                  _componentContent4
                )
              );
            }

            if (item.portletCode === 'jxzt') {
              var componentHead2 = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: '0', className: 't-MB16' },
                  _react2.default.createElement(_Tab2.default.Item, { title: '\u7CBE\u9009\u4E13\u9898', key: '0' })
                )
              );
              var _componentContent5 = '';
              var _carouselItem = '';
              if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {

                _carouselItem = t.state[item.portletCode + '_' + item.id].map(function (item) {
                  var imgUrlPath = localStorage.getItem('context') + '/api/m/plugin/attachment/mobile/viewImage?token=' + localStorage.getItem('token') + '&fid=' + item.imgUrl;

                  return _react2.default.createElement(
                    _Carousel2.default.Item,
                    { title: '\u6807\u9898', className: 't-image-slide-item t-R10', style: { backgroundImage: 'url(' + imgUrlPath + ')' } },
                    _react2.default.createElement(
                      'p',
                      { className: 't-FS20 t-ML20 t-PT20 t-MB10 t-FCf' },
                      item.name
                    )
                  );
                });
              }
              if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
                _componentContent5 = _react2.default.createElement(
                  _Carousel2.default,
                  { showNav: true, height: '91px', auto: false },
                  _carouselItem
                );
              }

              return _react2.default.createElement(
                'div',
                { key: item.id, className: 'jxzt-content' },
                componentHead2,
                _componentContent5
              );
            }
            return null; // 添加一个默认返回值，以避免未指定键的错误
          })
        )
      );
    }
  }]);

  return MyGrid;
}(_react2.default.Component);

exports.default = MyGrid;