'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _Popup = require('saltui/lib/Popup');

var _Popup2 = _interopRequireDefault(_Popup);

var _SelectField = require('saltui/lib/SelectField');

var _SelectField2 = _interopRequireDefault(_SelectField);

var _Group = require('saltui/lib/Group');

var _Group2 = _interopRequireDefault(_Group);

var _TextField = require('saltui/lib/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _TextareaField = require('saltui/lib/TextareaField');

var _TextareaField2 = _interopRequireDefault(_TextareaField);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Toast = require('saltui/lib/Toast');

var _Toast2 = _interopRequireDefault(_Toast);

var _Switch = require('saltui/lib/Switch');

var _Switch2 = _interopRequireDefault(_Switch);

var _utils = require('./utils');

var _utils2 = _interopRequireDefault(_utils);

require('./PageHome.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box,
    VBox = _Boxs2.default.VBox;
var Count = _TextareaField2.default.Count;
var ButtonGroup = _Button2.default.ButtonGroup;

var Page = function (_React$Component) {
  _inherits(Page, _React$Component);

  function Page(props) {
    _classCallCheck(this, Page);

    //关闭加载页的遮罩效果
    $(".loading-containter").hide();
    var baseContext = document.getElementById("baseContext").value;
    var token = document.getElementById("token").value;

    var _this = _possibleConstructorReturn(this, (Page.__proto__ || Object.getPrototypeOf(Page)).call(this, props));

    _this.state = {
      baseContext: baseContext,
      token: token,
      useSonFileNo: false,
      required: false,
      visible: false,

      showValue: "",
      showValue1: "",
      filenoList: "",
      filenoValue: null,
      fileNo: '',
      sonFileNo: '',
      createdDateY: '',

      readOnly: false,
      label: "",
      placeholder: "",

      doubleClick: '0'
    };

    _this.listener = _this.handleHidePopup.bind(_this);
    return _this;
  }

  //去除监听并关闭弹出页


  _createClass(Page, [{
    key: 'handleHidePopup',
    value: function handleHidePopup(e) {
      var state = e.state;

      if (!state || !state.selectFileno || state.selectFileno !== this.state.historyStamp) {
        var t = this;
        window.removeEventListener('popstate', t.listener, false);
        t.setState({
          visible: false
        }, function () {
          document.getElementById("App").style.overflow = "auto";
          document.getElementById("App").style.height = "";
          var top = t.state.top;
          _Popup2.default.hide();
          setTimeout(function () {
            window.scrollTo(0, top);
          });
        });
      }
    }

    // 触发弹出选择

  }, {
    key: 'popupFileNoFuc',
    value: function popupFileNoFuc() {
      var _this2 = this;

      var t = this;
      // 只读状态
      var readOnly = this.props.readOnly;
      if (readOnly) {
        return false;
      }

      // 回显值
      var value = t.props.value;

      // 请求后台获取数据
      // 调用弹出选择Api接口
      var url = this.state.baseContext + "/client/office/document/getFileNoList?token=" + this.state.token;
      fetch(url, {
        method: "GET",
        mode: "cors",
        headers: {
          'Accept': 'application/json, text/plain, */*',
          'Content-Type': 'application/x-www-form-urlencoded'
        }
      }).then(function (response) {
        return response.json();
      }).then(function (result) {
        // 选中数据处理
        if (result != null) {
          var content = result.content;
          if (content != null) {
            // 文号集合
            var filenoList = content.filenos;
            var filenoValue = null;
            // 文号
            var fileNo = '';
            // 子号
            var sonFileNo = '';
            // 日期
            var createdDateY = '';

            var text = "";
            if (filenoList != null && filenoList.length > 0) {
              if (value == null || value == undefined || value == '') {
                filenoValue = filenoList[0];
                text = filenoValue.text;
                // 文号
                fileNo = content.filenoNum;
                // 子号
                sonFileNo = content.filenoSonNum;
                // 日期
                createdDateY = content.createdDateY;
              } else {

                var str1 = value.split('〔');

                if (str1 != null && str1.length > 1) {
                  text = str1[0];

                  var temp2 = str1[1];
                  if (temp2 != undefined && temp2 != '') {
                    var str2 = temp2.split('〕');
                    if (str2 != null && str2.length > 1) {
                      createdDateY = str2[0];

                      var temp3 = str2[1];
                      if (temp3 != undefined && temp3 != '') {
                        var str3 = temp3.split('号');
                        if (str3 != null && str3.length > 0) {
                          var temp4 = str3[0];
                          if (temp4 != undefined && temp4 != '') {
                            var str4 = temp4.split('');
                            if (str4 != null && str4.length > 0) {
                              var num = '';
                              var sonNum = '';
                              var checkNum = '0123456789';
                              var flag = '0';
                              for (var i = 0; i < str4.length; i++) {
                                var obj = str4[i];
                                if (flag == '0' && checkNum.indexOf(obj) > -1) {
                                  num += obj;
                                } else {
                                  sonNum += obj;
                                  flag = '1';
                                }
                              }
                              fileNo = num;
                              sonFileNo = sonNum;
                            }
                          }
                        }
                      }
                    }
                  }
                }

                for (var jj = 0; jj < filenoList.length; jj++) {
                  var obj = filenoList[jj];
                  var tempText = obj.text;
                  if (text != '' && text == tempText) {
                    filenoValue = obj;
                  }
                }
              }
            }

            var showValue = "";
            var useSonFileNo = false;
            if (text != '') {
              if (sonFileNo == null || sonFileNo == '' || sonFileNo == 'null') {
                sonFileNo = '';
              } else {
                useSonFileNo = true;
              }
              showValue = text + '〔' + createdDateY + '〕' + fileNo + sonFileNo + '号';
            }

            _this2.setState({
              visible: true,
              filenoList: filenoList,
              filenoValue: filenoValue,
              useSonFileNo: useSonFileNo,
              fileNo: fileNo,
              sonFileNo: sonFileNo,
              createdDateY: createdDateY,
              showValue: showValue
            }, function () {
              if (t.instance) {
                t.instance.update(t.getFileNoContent());
              }

              var memberDivs = document.getElementsByClassName("select-fileno-div-class");
              if (memberDivs && memberDivs.length > 0) {
                for (var i = 0; i < memberDivs.length; i++) {
                  var parent = _this2.getParents(memberDivs[i], "t-popup");
                  if (parent) {
                    parent.style.left = "0";
                    parent.style.background = "#f7f7f7";
                  }
                }
              }

              var top = 0;
              if (document.documentElement && document.documentElement.scrollTop) {
                top = document.documentElement.scrollTop;
              } else if (document.body) {
                top = document.body.scrollTop;
              }
              _this2.setState({
                top: top,
                historyStamp: 'selectFileno.index_' + Date.now()
              }, function () {
                window.history.pushState({
                  selectFileno: t.state.historyStamp
                }, '', _utils2.default.addUrlParam('selectFileno', Date.now()));
                window.addEventListener('popstate', t.listener, false);
              });
              document.getElementById("App").style.overflow = "hidden";
              document.getElementById("App").style.height = "0";
            });
          }
        }
      }).catch(function (error) {
        alert("错误：" + error);
      });
    }
  }, {
    key: 'getParents',
    value: function getParents(element, className) {
      var returnParentElement = null;
      if (element && element.classList.contains(className) && element.tagName.toLowerCase() != "body") {
        returnParentElement = element;
      } else {
        returnParentElement = this.getParents(element.parentElement, className);
      }
      return returnParentElement;
    }

    // 文号名称改变

  }, {
    key: 'filenoListChange',
    value: function filenoListChange(value) {
      var _this3 = this;

      var t = this;
      var text = "";
      var id = '';
      if (value != null) {
        text = value.text;
        id = value.value;
      }
      if (id != '') {
        var url = this.state.baseContext + "/client/office/document/getFileNoNum?token=" + this.state.token + "&fileNoStr=" + text;
        fetch(url, {
          method: "GET",
          mode: "cors",
          headers: {
            'Accept': 'application/json, text/plain, */*',
            'Content-Type': 'application/x-www-form-urlencoded'
          }
        }).then(function (response) {
          return response.json();
        }).then(function (result) {

          var showValue = "";

          var filenoNum = t.state.fileNo;
          var filenoSonNum = t.state.sonFileNo;
          var useSonFileNo = t.state.useSonFileNo;
          var createdDateY = t.state.createdDateY;
          // 选中数据处理
          if (result != null) {
            var content = result.content;
            if (content != null) {
              filenoNum = content.filenoNum;
              filenoSonNum = content.filenoSonNum;
              createdDateY = content.filenoYear;
              if (filenoSonNum == '' || filenoSonNum == null || filenoSonNum == 'null') {
                filenoSonNum = '';
                useSonFileNo = false;
              } else {
                useSonFileNo = true;
              }
            }
          }
          showValue = text + '〔' + createdDateY + '〕' + filenoNum + filenoSonNum + '号';
          _this3.setState({
            filenoValue: value,
            fileNo: filenoNum,
            sonFileNo: filenoSonNum,
            showValue: showValue,
            useSonFileNo: useSonFileNo,
            createdDateY: createdDateY
          }, function () {
            if (t.instance) {
              t.instance.update(t.getFileNoContent());
            }
          });
        }).catch(function (error) {
          alert("错误：" + error);
        });
      }
    }
  }, {
    key: 'handleTextAreaChange',
    value: function handleTextAreaChange(field, size, newValue) {
      if (isEmojiCharacter(newValue)) {
        _Toast2.default.show({
          type: 'error',
          content: '不能输入表情'
        });
        return false;
      }
      if (newValue.length <= size) {
        this.setState(_defineProperty({}, field, newValue));
      }
    }
  }, {
    key: 'handleChange',
    value: function handleChange(field, value) {
      this.setState(_defineProperty({}, field, value));
    }

    // 弹出页的列表

  }, {
    key: 'getFileNoContent',
    value: function getFileNoContent() {
      var t = this;
      // 返回结构
      var content = "";
      content = _react2.default.createElement(
        'div',
        { className: 'dd-selection select-fileno-div-class' },
        _react2.default.createElement(
          _Group2.default.List,
          null,
          _react2.default.createElement(_SelectField2.default, {
            label: '\u6587\u53F7\u540D\u79F0',
            options: t.state.filenoList,
            onSelect: t.filenoListChange.bind(t),
            value: t.state.filenoValue,
            placeholder: '\u8BF7\u9009\u62E9\u6587\u53F7\u540D\u79F0'
          })
        ),
        _react2.default.createElement(
          _Group2.default.List,
          null,
          _react2.default.createElement(
            _TextField2.default,
            {
              label: '\u6587\u53F7',
              placeholder: '6\u4F4D\u4EE5\u5185\u6B63\u6574\u6570',
              value: t.state.fileNo,
              onChange: t.handleTextAreaChange.bind(t, 'fileNo', 6)
            },
            _react2.default.createElement(Count, { total: 6, length: t.state.fileNo.length })
          )
        ),
        _react2.default.createElement(
          _Group2.default.List,
          null,
          _react2.default.createElement(
            'div',
            { className: 'dd-item' },
            _react2.default.createElement(
              'label',
              { className: 'label-txt t-FC7' },
              '\u542F\u7528\u5B50\u53F7'
            ),
            _react2.default.createElement(_Switch2.default, { on: t.state.useSonFileNo, onChange: t.handleChange.bind(t, 'useSonFileNo') })
          )
        ),
        _react2.default.createElement(
          _Group2.default.List,
          { className: this.state.useSonFileNo ? '' : 't-DN' },
          _react2.default.createElement(
            _TextField2.default,
            {
              label: '\u5B50\u53F7',
              placeholder: '6\u4E2A\u4EE5\u5185\u5B57\u7B26\uFF0C\u975E\u6570\u5B57\u5F00\u5934',
              value: t.state.sonFileNo,
              onChange: t.handleTextAreaChange.bind(t, 'sonFileNo', 6)
            },
            _react2.default.createElement(Count, { total: 6, length: t.state.sonFileNo.length })
          )
        ),
        _react2.default.createElement(
          'p',
          { className: t.state.filenoList == null || t.state.filenoList.length < 1 ? 't-DN' : 't-FS16 t-FCddfontblue-60 t-ML16 t-MT10' },
          '文号预览效果:' + t.state.showValue
        ),
        _react2.default.createElement(
          'p',
          { className: t.state.filenoList == null || t.state.filenoList.length < 1 ? 't-FS16 t-FCddfontblue-60 t-ML16 t-MT10' : 't-DN' },
          '\u8BF7\u8054\u7CFB\u7BA1\u7406\u5458\u5728\u516C\u6587\u8BBE\u7F6E\u4E2D\u8BBE\u7F6E\u6587\u53F7\u4EE3\u5B57'
        ),
        _react2.default.createElement(
          'div',
          { className: 't-P0 t-bottom-fixed' },
          _react2.default.createElement(
            _Button2.default.Group,
            null,
            _react2.default.createElement(
              _Button2.default,
              { type: 'primary', display: 'banner', onClick: this.confirmBtn.bind(this) },
              '\u786E\u8BA4'
            ),
            _react2.default.createElement(
              _Button2.default,
              { type: 'secondary', display: 'banner', onClick: this.cancelBtn.bind(this) },
              '\u53D6\u6D88'
            )
          )
        )
      );
      return content;
    }
  }, {
    key: 'confirmBtn',
    value: function confirmBtn() {
      var _this4 = this;

      var t = this;

      var doubleClick = t.state.doubleClick;
      if (doubleClick != '0') {
        return false;
      } else {
        t.setState({
          doubleClick: '1'
        });
      }

      var text = "";
      if (t.state.filenoValue != null) {
        text = t.state.filenoValue.text;
      } else {
        _Toast2.default.show({
          type: 'error',
          content: '请选择文号代字'
        });
        t.setState({
          doubleClick: '0'
        });
        return false;
      }

      var myreg = /^[1-9]\d*$/;
      if (!myreg.test(this.state.fileNo)) {
        _Toast2.default.show({
          type: 'error',
          content: '文号应为正整数'
        });
        t.setState({
          doubleClick: '0'
        });
        return false;
      }

      var showValue = "";
      var sonFileNo = this.state.sonFileNo;
      if (text != '') {
        if (!this.state.useSonFileNo) {
          sonFileNo = '';
        }

        if (sonFileNo != '') {
          var pattern = new RegExp("[0-9]+");
          var obj = sonFileNo.match(pattern);
          if (obj != null && obj.index == 0) {
            _Toast2.default.show({
              type: 'error',
              content: '子号首个字符不能是数字'
            });
            t.setState({
              doubleClick: '0'
            });
            return false;
          }
        }

        showValue = text + '〔' + this.state.createdDateY + '〕' + this.state.fileNo + sonFileNo + '号';
      }

      if (showValue != '') {
        var url = this.state.baseContext + "/client/office/document/compareFileno?token=" + this.state.token + "&fileno=" + showValue;
        fetch(url, {
          method: "GET",
          mode: "cors",
          headers: {
            'Accept': 'application/json, text/plain, */*',
            'Content-Type': 'application/x-www-form-urlencoded'
          }
        }).then(function (response) {
          return response.json();
        }).then(function (result) {
          if (result != null && result.success) {
            t.setState({
              visible: false,
              showValue: showValue,
              showValue1: showValue,
              doubleClick: '0'
            }, function () {
              _this4.props.onChange(showValue);
              history.back();
            });
          } else {
            _Toast2.default.show({
              type: 'error',
              content: '文号重复'
            });
            t.setState({
              doubleClick: '0'
            });
          }
        }).catch(function (error) {
          alert("错误：" + error);
          t.setState({
            doubleClick: '0'
          });
        });
      }
    }
  }, {
    key: 'cancelBtn',
    value: function cancelBtn() {
      var t = this;
      var doubleClick = t.state.doubleClick;
      if (doubleClick != '0') {
        return false;
      } else {
        t.setState({
          doubleClick: '1'
        });
      }
      t.setState({
        visible: false,
        doubleClick: '0'
      }, function () {
        history.back();
      });
    }

    // 点击蒙层关闭

  }, {
    key: 'closMask',
    value: function closMask() {
      /* $("#App").removeAttr("style");
       $(document).scrollTop(this.props.top);*/
    }
  }, {
    key: 'handleChange',
    value: function handleChange(from, on) {
      this.setState(_defineProperty({}, from, on));
    }
  }, {
    key: 'render',
    value: function render() {
      var _this5 = this;

      var t = this;
      // 必选标识
      var required = this.props.required;
      // 显示值
      var selectText = '';
      var label = t.props.label;

      var readOnly = t.props.readOnly;

      var placeholder = t.props.placeholder;

      var value = t.props.value;
      if (value == null || value == undefined) {
        value = '';
      }

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            HBox,
            { vAlign: 'center', className: 't-FS16 t-PL16 t-PR16', onClick: function onClick() {
                _this5.popupFileNoFuc();
              } },
            _react2.default.createElement(
              Box,
              { className: required ? 't-field-layout-h-label required' : 't-field-layout-h-label' },
              label
            ),
            _react2.default.createElement(
              HBox,
              { flex: 1 },
              _react2.default.createElement(
                Box,
                { flex: 1, className: value == '' ? "t-FCtips t-FS16 t-PR10" : "t-DN" },
                _react2.default.createElement(
                  'div',
                  { className: 't-omit t-poppage-placeholder' },
                  placeholder
                )
              ),
              _react2.default.createElement(
                Box,
                { flex: 1, className: value == '' ? "t-DN" : "t-FAL t-LH1_4 t-omit" },
                value
              ),
              _react2.default.createElement(
                Box,
                { className: readOnly ? "t-DN" : "t-PR4" },
                _react2.default.createElement('b', { className: 'iconfont icon-back t-rotate-180 t-FCc t-FS16 t-FS14' })
              )
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { className: 'fileno-div' },
          _react2.default.createElement(
            _Popup2.default,
            {
              content: this.getFileNoContent(),
              animationType: 'slide-left',
              onMaskClick: function onMaskClick() {
                _this5.setState({ visible: false });_this5.closMask();
              },
              visible: this.state.visible
            },
            null
          )
        )
      );
    }
  }]);

  return Page;
}(_react2.default.Component);

exports.default = Page;